package com.tanpu.community.dao.mapper.community;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tanpu.community.dao.entity.community.TopicFollowRelEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 讨论区(主题)关注关系表 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2022-02-17
 */
public interface TopicFollowRelMapper extends BaseMapper<TopicFollowRelEntity> {

    List<String> selectTopicIdByUserId(@Param("userId")String userId);

    TopicFollowRelEntity queryOneByTopicIdAndUserId(@Param("topicId")String topicId,@Param("userId")String userId);




}
